//: [Previous](@previous)

import Foundation

enum Vehicle: Int {
    case car, truck, motorcycle, bicycle, moped
    
    func isA() -> String {
        switch self {
        case .car:
            return "a car"
        case .truck:
            return "a truck"
        case .motorcycle:
            return "a motorcycle"
        case .bicycle:
            return "a bicycle"
        case .moped:
            return "almost a motorcycle"
        }
    }
}

let myVehicle = Vehicle.moped
print("My vehicle is \(myVehicle.isA())")

// What good is an enum?
// This is a great way to keep track of things. You only have four suits in
// your card game? Let's make them an enum!
// How many pokemon have you got? enum them!

// You see how I threw a function into the description for this variable?
// You can do that with just about any variable.
// Yeah, head blown.
